A newly opened panel should be set foreground if it shares space with other panels
Description

When you add a panel to the canvas, be it from View or Processing menu, from right-click on toolbars or using F7/button (for styling

dock), the opened panel isn't shown foreground when it's set anchored near another panel (sharing the same space).

Given that one opens a panel to work with it I think it should be activated automatically.

An example:

Anchor the Styling panel at the right of the screen, sharing the space with Processing toolbox. Then close it. If you right-click on toolbars

and select the styling panel it adds the styling panel to the interface, but behind the Processing toolbox. You'll then need to select it to

have layer properties available. We should skip this step and set active the new panel.

Note that I can't consistently reproduce the behavior.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2017-09-22 12:24 PM - Harrissou Santanna

- Description updated

#4 - 2019-04-03 11:55 AM - Johannes Kroeger

I can reproduce this in 3.6.

1. Have no panel on the right.

1. Add Layer Styling Panel, then Processing. Processing will be behind Layer Styling.

1. Remove Layer Styling, Add Layer Styling, Layer Styling will be behind Processing.

I second the request, a nice little detail for user friendliness.
